using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.Data;
using VBNET = Microsoft.VisualBasic;
using Microsoft.VisualBasic.CompilerServices;
using System.Linq;
using System.Collections.Generic;

namespace Waves
{
   public class objPicture
   {
      public VBNET.Collection objects = new VBNET.Collection();
      //  Draw the picture on the PictureBox.
      public void Draw(System.Windows.Forms.PictureBox canvas,int r)
      {

         foreach(ObjGrid3D obj in objects)
         {
            obj.Draw(canvas,r);
         }
      }
      // ' Apply a transformation matrix which may not
      // ' contain 0, 0, 0, 1 in the last column to the
      // ' objects.
      public void ApplyFull(float[,] M)
      {

         foreach(ObjGrid3D obj in objects)
         {
            obj.ApplyFull(M);
         }
      }
      // ' Apply a transformation matrix to the objects.
      public void Apply(float[,] M)
      {

         foreach(ObjGrid3D obj in objects)
         {
            obj.Apply(M);
         }
      }
   }
}
